# $Revision: 1.56.2.1 $, $Date: 2006/07/04 17:30:21 $

%bcond_without	gstreamer	# Do not build kgstplayer
%bcond_with	koffice		# Build koffice plugin
%bcond_without	xine		# Do not build kxineplayer

Summary:	A KDE MPlayer/Xine/ffmpeg/ffserver/VDR frontend
Summary(pl):	Frontend dla programw MPlayer/Xine/ffmpeg/ffserver/VDR pod KDE
Name:		kmplayer
Version:	0.9.2a
Release:	2
Epoch:		2
License:	GPL
Group:		X11/Applications/Multimedia
Source0:	http://kmplayer.kde.org/pkgs/%{name}-%{version}.tar.bz2
# Source0-md5:	9e8ab1a03f80249c3ea9332a48817c32
#Patch0:		%{name}-mimetypes.patch
Patch0:		%{name}-video-size.patch
URL:		http://kmplayer.kde.org/
BuildRequires:	arts-qt-devel
BuildRequires:	artsc-devel
BuildRequires:	automake
BuildRequires:	gettext-devel
%{?with_gstreamer:BuildRequires:	gstreamer-plugins-base-devel >= 0.10.0}
BuildRequires:	kdelibs-devel >= 9:3.1.92
%{?with_koffice:BuildRequires:	koffice-devel}
BuildRequires:	pkgconfig
BuildRequires:	rpmbuild(macros) >= 1.129
BuildRequires:	sed >= 4.0
#BuildRequires:	unsermake
%{?with_xine:BuildRequires:	xine-lib-devel >= 1:1.0}
Requires:	kdebase-core >= 9:3.1.90
Requires:	kdelibs >= 9:3.4.0-4
Requires:	mplayer
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
A powerful, fully integrated with KDE MPlayer/Xine/ffmpeg/ffserver/VDR
GUI.

%description -l pl
W peni zintegrowany z KDE frontend dla programw
MPlayer/Xine/ffmpeg/ffserver/VDR.

%package gstreamer
Summary:	Gstreamer wrapper
Summary(pl):	Wrapper gstreamera
Group:		X11/Applications/Multimedia
Requires:	%{name} = %{epoch}:%{version}-%{release}

%description gstreamer
Gstreamer wrapper.

%description gstreamer -l pl
Wrapper gstreamera.

%package koffice
Summary:	Kmplayer integration with Koffice
Summary(pl):	Integracja kmplayera z koffice
Group:		X11/Applications/Multimedia
Requires:	%{name} = %{epoch}:%{version}-%{release}
Requires:	koffice-common

%description koffice
Kmplayer integration with Koffice.

%description koffice -l pl
Integracja kmplayera z koffice.

%package xine
Summary:	Xine wrapper
Summary(pl):	Wrapper xine
Group:		X11/Applications/Multimedia
Requires:	%{name} = %{epoch}:%{version}-%{release}

%description xine
Xine wrapper.

%description xine -l pl
Wrapper xine.

%prep
%setup -q
%patch0 -p1

%{__sed} -i -e 's/Categories=.*/Categories=Qt;KDE;AudioVideo;Player;/' \
        src/kmplayer.desktop \

#%patch0 -p1

%build
cp /usr/share/automake/config.sub admin
%{__autoconf}

#%{__make} -f admin/Makefile.common cvs

%configure \
	--disable-rpath \
	--enable-final \
	%{?with_koffice:--enable-koffice-plugin} \
	%{!?with_gstreamer:--without-gstreamer} \
	%{!?with_xine:--without-xine} \
	--with-qt-libraries=%{_libdir}

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT \
	kde_htmldir=%{_kdedocdir}

# remove bogus translation
rm -rf $RPM_BUILD_ROOT%{_datadir}/locale/xx

# already in kdelibs
rm $RPM_BUILD_ROOT%{_datadir}/mimelnk/application/x-mplayer2.desktop

%find_lang %{name} --with-kde

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog README
%attr(755,root,root) %{_bindir}/kmplayer
%attr(755,root,root) %{_bindir}/kxvplayer
%{_libdir}/libkdeinit_kmplayer.la
%attr(755,root,root) %{_libdir}/libkdeinit_kmplayer.so
%{_libdir}/libkmplayercommon.la
%attr(755,root,root) %{_libdir}/libkmplayercommon.so
%{_libdir}/kde3/kmplayer.la
%attr(755,root,root) %{_libdir}/kde3/kmplayer.so
%{_libdir}/kde3/libkmplayerpart.la
%attr(755,root,root) %{_libdir}/kde3/libkmplayerpart.so
%{_datadir}/apps/kmplayer
%{_datadir}/config/kmplayerrc
%{_datadir}/mimelnk/application/x-kmplayer.desktop
%{_datadir}/mimelnk/video/x-ms-wmp.desktop
%{_datadir}/services/kmplayer_part.desktop
%{_desktopdir}/kde/kmplayer.desktop
%{_iconsdir}/[!l]*/*/apps/kmplayer.*

%if %{with gstreamer}
%files gstreamer
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/kgstplayer
%endif

%if %{with koffice}
%files koffice
%defattr(644,root,root,755)
%{_libdir}/kde3/libkmplayerkofficepart.la
%attr(755,root,root) %{_libdir}/kde3/libkmplayerkofficepart.so
%{_datadir}/services/kmplayer_koffice.desktop
%endif

%if %{with xine}
%files xine
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/kxineplayer
%endif

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: kmplayer.spec,v $
Revision 1.56.2.1  2006/07/04 17:30:21  havner
- sync with HEAD

Revision 1.62  2006/06/30 00:34:52  havner
- video-size patch
- rel 2

Revision 1.61  2006/06/10 20:33:13  glen
- updated gstreamer deps (this version requires >= 0.10.0)

Revision 1.60  2006/06/10 13:05:39  shadzik
- re-upped to 0.9.2a
- now it builds

Revision 1.59  2006/06/08 23:19:49  shadzik
- downgraded to 0.9.2; this release actually builds

Revision 1.58  2006/06/06 22:01:50  shadzik
- up to 0.9.2a
- doesn't build for me.. however using unsermake it does

Revision 1.57  2006/03/20 11:07:55  piti
- up to 0.9.1c

Revision 1.56  2006/03/11 23:41:50  adgor
- Separated kgstplayer & kxineplayer
- Release 2

Revision 1.55  2006/02/28 23:53:22  glen
- adapterized (killed trailing spaces/tabs)

Revision 1.54  2006/02/10 09:34:33  piti
- up to 0.9.1b

Revision 1.53  2006/01/05 17:56:27  adgor
- x-mplayer2.desktop killed finally at %install time
- Orders in %files sect.

Revision 1.52  2006/01/05 16:34:16  adgor
- Grrrr!

Revision 1.51  2005/12/09 20:43:06  glen
- 0.9.1a

Revision 1.50  2005/10/30 16:35:28  charles
- updated to 0.9.1
- updated BRs and URLs

Revision 1.49  2005/08/11 09:46:18  radek
- bcond_with(out) is followed by one \t, then bcond's name.

Revision 1.48  2005/05/13 20:40:55  ankry
- fixed kdelibs version required

Revision 1.47  2005/05/13 20:35:36  ankry
- fixed %files

Revision 1.46  2005/03/26 07:49:05  paszczus
- updated to 0.8.4b (some nasty bugs fixed)

Revision 1.45  2005/03/25 01:32:12  adgor
- No unsermake
- gstreamer & xine bconds

Revision 1.44  2005/02/07 20:53:57  wolf
- BR gstreamer-plugins-devel

Revision 1.43  2005/02/07 20:34:14  paszczus
- added locales
- added kgstplayer
- release 1
- STBR

Revision 1.42  2005/02/07 14:51:40  paszczus
- updated to FINAL 0.8.4
- commented out patch0
- added TODO
- release 0.1

Revision 1.41  2005/02/01 22:34:58  adgor
- Missing files
- No unsermake

Revision 1.40  2005/01/16 19:01:37  paszczus
- commented out "/usr/bin/make -f admin/Makefile.common cvs"
- release 1; STBR

Revision 1.39  2005/01/16 18:39:34  paszczus
- fixed Categories
- added BR: sed >= 4.0

Revision 1.38  2005/01/12 21:21:30  paszczus
- updated to 0.8.4-rc5; release 0.1; STBR ac-test

Revision 1.37  2004/12/25 22:07:06  qboosh
- wrap

Revision 1.36  2004/12/05 23:50:44  domelu
- description; this is MPlayer/Xine/ffmpeg/ffserver/VDR frontend

Revision 1.35  2004/12/05 23:42:35  domelu
- up to rc3

Revision 1.34  2004/11/11 23:55:32  adgor
- 0.8.4 rc2
- Locales temporary disabled

Revision 1.33  2004/11/10 10:43:08  ankry
- remove bogus locale, rel. 2

Revision 1.32  2004/10/03 08:56:41  adgor
- 0.8.3
- Epoch ++

Revision 1.31  2004/08/24 17:28:39  havner
- removed pnm.protocol (now in kdelibs)
- rel 2

Revision 1.30  2004/08/22 21:13:38  ankry
- md5

Revision 1.29  2004/07/05 17:35:38  adgor
- Changed src url; '_packager' def. no longer needed

Revision 1.28  2004/07/05 17:30:13  adgor
- 040705

Revision 1.27  2004/05/27 00:02:07  adgor
- 030527

Revision 1.26  2004/05/16 08:35:01  adgor
- Ops.. snap number in one place is enough

Revision 1.25  2004/05/16 00:42:14  adgor
- Down version to 0.8.3 - djurban - where You gound 0.9 version ?!!
- Release 0.%%{_snap}.1 (formal release candidate)
- Epoch 1 for nice upgrade

Revision 1.24  2004/05/11 15:49:41  adgor
- 040511
- Bcond with koffice (because can't compile)

Revision 1.23  2004/04/25 21:53:31  djurban
-unsermake br

Revision 1.22  2004/04/18 18:15:40  adgor
- Cleanups, cosmetics

Revision 1.21  2004/04/18 13:44:28  djurban
- new snap

Revision 1.20  2004/01/15 12:20:15  jajcus
- Release: 2
- standard AMD64 fixes

Revision 1.19  2004/01/11 00:27:19  eothane
- proper ep09 address

Revision 1.18  2004/01/09 09:17:12  qboosh
- xrender is used only through kdelibs - moved dep to kdelibs-devel

Revision 1.17  2004/01/09 01:16:27  alchemyx
- missing BuildRequires

Revision 1.16  2003/12/09 09:36:45  adgor
- 031209
- Added docs

Revision 1.15  2003/12/09 08:32:39  adgor
- Merged DEVEL

Revision 1.9.4.11  2003/11/16 01:22:14  adgor
- 031116

Revision 1.9.4.10  2003/10/24 09:25:06  adgor
- No lang files in this version yet

Revision 1.9.4.9  2003/10/23 17:30:12  adgor
- Updated to 031023 snap
- Added mimetypes.patch

Revision 1.9.4.8  2003/08/15 16:32:16  adgor
- Updated to 0.8a

Revision 1.9.4.7  2003/07/28 18:50:41  adgor
- Up to 0.7.97

Revision 1.9.4.6  2003/07/11 01:34:19  eothane
- some pld.org.pl->pld-linux.org cosmetics

Revision 1.9.4.5  2003/04/29 17:23:17  adgor
- Requires kdebase-core >= 3.2

Revision 1.9.4.4  2003/04/29 17:14:55  adgor
- 0.7.4a

Revision 1.9.4.3  2003/04/18 22:56:50  adgor
- 0.7.4
- Updated desktop.patch
- Removed Source1 (desktop icon is now provided with tarball)
- Updated %%install, %%files

Revision 1.9.4.2  2003/04/04 10:28:17  adgor
- Added desktop.patch
- Moved desktop file to %%{_desktopdir}
- Cosmetics
- Release 2

Revision 1.9.4.1  2003/03/29 14:52:21  djurban
- works with kdelibs 3.2

Revision 1.9  2003/03/03 01:14:15  adgor
- 0.7.3

Revision 1.8  2003/02/18 19:36:18  adgor
- 0.7.2

Revision 1.7  2003/02/15 18:37:02  adgor
- 0.7.1

Revision 1.6  2003/02/10 21:23:16  adgor
- 0.7a

Revision 1.5  2003/02/08 01:20:10  adgor
- 0.7

Revision 1.4  2003/01/31 16:19:54  adgor
- Added desktop/service icon

Revision 1.3  2003/01/31 15:12:12  adgor
- Updated to 0.6.5a
- Removed redundant deps

Revision 1.2  2003/01/15 09:17:51  adgor
- prefix /usr
- fixed %files
- Release 2

Revision 1.1  2003/01/14 18:48:34  djurban
- Rel. 1
- Incredibly powerful frontend, if I manage to do everything, this player will
  replace kaboodle/noatun as the standard player, since mplayer is much more powerful
  than xine.
